> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Ajouter des calls à la file d'attente d'annotation

> Ajouter des appels à une file d'attente d'annotation.



## OpenAPI

````yaml /fr/weave/reference/service-api/openapi.json post /annotation_queues/{queue_id}/items
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /annotation_queues/{queue_id}/items:
    post:
      tags:
        - Annotation Queues
      summary: Ajouter des calls à la file d'attente d'annotation
      description: Ajouter des appels à une file d'attente d'annotation.
      operationId: annotation_queue_add_calls_annotation_queues__queue_id__items_post
      parameters:
        - in: path
          name: queue_id
          required: true
          schema:
            title: Queue Id
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AnnotationQueueAddCallsBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnnotationQueueAddCallsRes'
          description: Réponse réussie
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Erreur de validation
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    AnnotationQueueAddCallsBody:
      additionalProperties: false
      description: >-
        Corps de la requête pour ajouter des appels à une file d'attente
        d'annotation (queue_id provient du chemin).
      properties:
        call_ids:
          examples:
            - - call-1
              - call-2
              - call-3
          items:
            type: string
          title: Call Ids
          type: array
        display_fields:
          description: Chemins JSON à afficher aux annotateurs
          examples:
            - - input.prompt
              - output.text
          items:
            type: string
          title: Display Fields
          type: array
        project_id:
          examples:
            - entity/project
          title: Project Id
          type: string
      required:
        - project_id
        - call_ids
        - display_fields
      title: AnnotationQueueAddCallsBody
      type: object
    AnnotationQueueAddCallsRes:
      description: Réponse à l’ajout d’appels à une file d'attente.
      properties:
        added_count:
          title: Added Count
          type: integer
        duplicates:
          title: Duplicates
          type: integer
      required:
        - added_count
        - duplicates
      title: AnnotationQueueAddCallsRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````